Debian Bug report logs - #188750
repl: -form argument does the wrong thing with relative paths

version graph

Package: nmh; Maintainer for nmh is Nick Rusnov <nickrusnov@debian.org>; Source for nmh is src:nmh.

Reported by: Jonathan David Amery <jdamery@ysolde.ucam.org>

Date: Sat, 12 Apr 2003 21:03:40 UTC

Severity: wishlist

Tags: help

Found in version 1.0.4+dev-20010317-1

Fixed in version nmh/1.5-RC3-0.1

Done: Alexander Zangerl <az@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=15216

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Doug Porter <dsp@debian.org>, nmh@packages.qa.debian.org:
Bug#188750; Package nmh. Full text and rfc822 format available.

Acknowledgement sent to Jonathan David Amery <jdamery@ysolde.ucam.org>:
New Bug report received and forwarded. Copy sent to Doug Porter <dsp@debian.org>, nmh@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan David Amery <jdamery@ysolde.ucam.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: repl: -form argument does the wrong thing with relative paths
Date: Sat, 12 Apr 2003 22:03:25 +0100
Package: nmh
Version: 1.0.4+dev-20010317-1
Severity: normal

 repl does a chdir before opening the format file, thus:

repl -form ./foo

 (useful for testing)
 won't work, because it will try to open <currentmailbox>/./foo
rather than ./foo 

 J.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux cleopatra 2.2.20 #1 Sat Apr 20 11:45:28 EST 2002 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages nmh depends on:
ii  base-files               3.0.2           Debian base system miscellaneous f
ii  libc6                    2.2.5-11.2      GNU C Library: Shared libraries an
ii  liblockfile1             1.03            NFS-safe locking library, includes
ii  libncurses5              5.2.20020112a-7 Shared libraries for terminal hand
ii  libsasl7                 1.5.27-3        Authentication abstraction library
ii  netbase                  4.07            Basic TCP/IP networking system




Information forwarded to debian-bugs-dist@lists.debian.org, Nick Rusnov <nickrusnov@debian.org>:
Bug#188750; Package nmh. Full text and rfc822 format available.

Acknowledgement sent to nick@fargus.net:
Extra info received and forwarded to list. Copy sent to Nick Rusnov <nickrusnov@debian.org>. Full text and rfc822 format available.

Message #10 received at 188750@bugs.debian.org (full text, mbox):

From: Nick Rusnov <nick@fargus.net>
To: control@bugs.debian.org
Cc: 188750@bugs.debian.org
Subject: hmm, this is really wishlist.
Date: Fri, 20 Jun 2003 09:45:44 -0700
severity 188750 wishlist
tags 188750 help
thanks

A quick look at the code shows that this may be a bit tricky to fix.
It appears that there is a lot of abstractization that makes nailing
down where it looks for things and such a little tricky. I dunno if
I'll bother. I may promote this to wontfix.

-- 
-><- Nick Rusnov
-><- http://nick.industrialmeats.com
-><- nick@fargus.net/nickrusnov@debian.org 



Severity set to `wishlist'. Request was from Nick Rusnov <nick@fargus.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Nick Rusnov <nick@fargus.net> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://savannah.nongnu.org/bugs/index.php?func=detailitem&item_id=15216. Request was from pmaydell@chiark.greenend.org.uk to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Alexander Zangerl <az@debian.org>:
You have taken responsibility. (Sun, 10 Jun 2012 09:34:00 GMT) Full text and rfc822 format available.

Notification sent to Jonathan David Amery <jdamery@ysolde.ucam.org>:
Bug acknowledged by developer. (Sun, 10 Jun 2012 09:34:02 GMT) Full text and rfc822 format available.

Message #21 received at 188750-close@bugs.debian.org (full text, mbox):

From: Alexander Zangerl <az@debian.org>
To: 188750-close@bugs.debian.org
Subject: Bug#188750: fixed in nmh 1.5-RC3-0.1
Date: Sun, 10 Jun 2012 08:56:06 +0000
Source: nmh
Source-Version: 1.5-RC3-0.1

We believe that the bug you reported is fixed in the latest version of
nmh, which is due to be installed in the Debian FTP archive:

nmh_1.5-RC3-0.1.diff.gz
  to main/n/nmh/nmh_1.5-RC3-0.1.diff.gz
nmh_1.5-RC3-0.1.dsc
  to main/n/nmh/nmh_1.5-RC3-0.1.dsc
nmh_1.5-RC3-0.1_i386.deb
  to main/n/nmh/nmh_1.5-RC3-0.1_i386.deb
nmh_1.5-RC3.orig.tar.gz
  to main/n/nmh/nmh_1.5-RC3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 188750@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Zangerl <az@debian.org> (supplier of updated nmh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 10 Jun 2012 15:36:48 +1000
Source: nmh
Binary: nmh
Architecture: source i386
Version: 1.5-RC3-0.1
Distribution: unstable
Urgency: low
Maintainer: Nick Rusnov <nickrusnov@debian.org>
Changed-By: Alexander Zangerl <az@debian.org>
Description: 
 nmh        - set of electronic mail handling programs
Closes: 135972 184606 186412 188750 344182 535742 588160 645022 646842 655047
Changes: 
 nmh (1.5-RC3-0.1) unstable; urgency=low
 .
   * Non-maintainer upload, maintainer seems MIA.
     I plan to either co-maintain or take over, this is
     a band-aid so that wheezy can ship with a useful version.
   * Lifted standards version, updated dependencies, added watch file
     (closes: #645022)
   * Provide new mhn.defaults that uses run-mailcap (closes: #646842)
   * New upstream release (closes: #186412, #588160, #344182, #655047,
     #535742, #184606, #135972,  #188750)
   * updated documentation, updated config options to reflect new and removed
     capabilities (+tls, -masquerade)
   * cleaned up rules, incorporated upstream test suite
   * old mh-e compatibility links in /usr/lib/mh removed
Checksums-Sha1: 
 635886662c19893316177c5a63dd3389401aeead 1070 nmh_1.5-RC3-0.1.dsc
 c247b168d54bcdca348ff8ee0cd2ca4bf1ba74de 935511 nmh_1.5-RC3.orig.tar.gz
 74dd856b1d256aa95aafb205297920e7c771a7d3 14091 nmh_1.5-RC3-0.1.diff.gz
 8b91ac6e25835f1fa3a9cf9ea91cb94bd97af990 2246630 nmh_1.5-RC3-0.1_i386.deb
Checksums-Sha256: 
 c117428898e7bbfef35ddfe57545e646ec58d16cf545da11f35de58e6cf3549b 1070 nmh_1.5-RC3-0.1.dsc
 1fe108b1b9c150f76c993e677f6b31ac6b4996d63fb2a56690fdd0c92a398057 935511 nmh_1.5-RC3.orig.tar.gz
 1b69e4333a39bc81ca3124c66b358a0edbe2057a41b5fe2edd5a7892b58ce9e6 14091 nmh_1.5-RC3-0.1.diff.gz
 a9237f7ec41115c8ab0a71a473aa6034525e0e2c1babc587cf11dcda23da4ea4 2246630 nmh_1.5-RC3-0.1_i386.deb
Files: 
 8fd9916d737e89c70fa30d84a8e8df95 1070 mail optional nmh_1.5-RC3-0.1.dsc
 31147db0864e29a198c12592ff6273a4 935511 mail optional nmh_1.5-RC3.orig.tar.gz
 661929a71a4887fa7df498a41b911f88 14091 mail optional nmh_1.5-RC3-0.1.diff.gz
 e0b76cd1d849d3944b819fbe20faafe0 2246630 mail optional nmh_1.5-RC3-0.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iF4EAREIAAYFAk/UVfgACgkQ+bKELRvb2DzmOAEAv8O2ZRZ1gAexfSqCh/0jtwqr
PsNUi563lAKSaUFdYG0A/A0itl069Suv3GqxHx3+wkIksXP0FBSnQZPaG78btAf8
=GMK8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:41:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:28:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.